# Changelog

All notable changes to this project will be documented in this file.

## [0.15] - 2021-05-17
- [POL1-433] Only provision aggregate panels for NRENs if LAG interfaces are present.

## [0.14] - 2021-04-19
- [POL1-420] Delete stale dashboards after provisioning.

## [0.13] - 2021-04-15
- Delete NREN folder when provisioning, stale dashboards could otherwise never be removed.

## [0.12] - 2021-04-15
- POL1-416 remaining changes

## [0.11] - 2021-04-15
- POL1-412, POL1-416 fixes

## [0.10] - 2021-04-12
- Fix bug in config
- [POL1-413/POL1-414] Add GEANTOPEN to General Public

## [0.9] - 2021-04-12
- Show GEANT logo on home dashboards for non-staff organizations
- [POL1-408] Remove hardcoded database name from lab dashboard
- [POL1-409/POL1-413/POL1-414] Properly exclude a number of dashboards and folders
- [POL1-413/POL1-414] Add PIONIER alias of PSNC to exclude

## [0.8] - 2021-04-09
- Templated home dashboard to provision different one for each organization
- Add interface names to aggregate graph target aliases
- Add lab router dashboard
- Remove multicast panels

## [0.7] - 2021-03-25
- Added better support for excluding dashboards under specific paths
- Added version endpoint
- Implemented lock on /update to prevent multiple requests from starting multiple provisioning processes

## [0.6] - 2021-03-10
- Added CAE1 and updated handling of IAS Upstream tags

## [0.5] - 2021-03-10
- Added provisioning of aggregate dashboards with many targets

## [0.4] - 2021-03-03
- Provisioning is now limited to a single org at once.

## [0.3] - 2021-03-03
- Tune down the amount of concurrency, as Grafana servers can't keep up

## [0.2] - 2021-03-03
- Generate and provision dashboards concurrently to reduce time to provision

## [0.1] - 2021-02-24
- initial skeleton
